## NMSettingHsr NMSettingHsr — Describes connection properties for HSR/PRP interfaces |

## Functions

NMSetting * | nm_setting_hsr_new ()
const char * | nm_setting_hsr_get_port1 ()
const char * | nm_setting_hsr_get_port2 ()
guint32 | nm_setting_hsr_get_multicast_spec ()
gboolean | nm_setting_hsr_get_prp ()
NMSettingHsrProtocolVersion | nm_setting_hsr_get_protocol_version ()
const char * | nm_setting_hsr_get_interlink ()

## Types and Values

#define | NM_SETTING_HSR_SETTING_NAME
#define | NM_SETTING_HSR_PORT1
#define | NM_SETTING_HSR_PORT2
#define | NM_SETTING_HSR_MULTICAST_SPEC
#define | NM_SETTING_HSR_PRP
#define | NM_SETTING_HSR_PROTOCOL_VERSION
#define | NM_SETTING_HSR_INTERLINK
enum | NMSettingHsrProtocolVersion

## Object Hierarchy

        GEnum
        ╰── NMSettingHsrProtocolVersion

## Description

The NMSettingHsr object is a NMSetting subclass that describes properties necessary for HSR/PRP connections.

## Functions

### nm_setting_hsr_new ()

    NMSetting *
    nm_setting_hsr_new (void);

Creates a new NMSettingHsr object with default values.

#### Returns

the new empty NMSettingHsr object.

[transfer full]

Since: 1.46

### nm_setting_hsr_get_port1 ()

    const char *
    nm_setting_hsr_get_port1 (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “port1” property of the setting

Since: 1.46

### nm_setting_hsr_get_port2 ()

    const char *
    nm_setting_hsr_get_port2 (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “port2” property of the setting

Since: 1.46

### nm_setting_hsr_get_multicast_spec ()

    guint32
    nm_setting_hsr_get_multicast_spec (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “multicast_spec” property of the setting

Since: 1.46

### nm_setting_hsr_get_prp ()

    gboolean
    nm_setting_hsr_get_prp (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “prp” property of the setting

Since: 1.46

### nm_setting_hsr_get_protocol_version ()

    NMSettingHsrProtocolVersion
    nm_setting_hsr_get_protocol_version (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “protocol-version” property of the setting

Since: 1.56

### nm_setting_hsr_get_interlink ()

    const char *
    nm_setting_hsr_get_interlink (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “interlink” property of the setting

Since: 1.56

## Types and Values

### NM_SETTING_HSR_SETTING_NAME

    #define NM_SETTING_HSR_SETTING_NAME "hsr"

### NM_SETTING_HSR_PORT1

    #define NM_SETTING_HSR_PORT1            "port1"

### NM_SETTING_HSR_PORT2

    #define NM_SETTING_HSR_PORT2            "port2"

### NM_SETTING_HSR_MULTICAST_SPEC

    #define NM_SETTING_HSR_MULTICAST_SPEC   "multicast-spec"

### NM_SETTING_HSR_PRP

    #define NM_SETTING_HSR_PRP              "prp"

### NM_SETTING_HSR_PROTOCOL_VERSION

    #define NM_SETTING_HSR_PROTOCOL_VERSION "protocol-version"

### NM_SETTING_HSR_INTERLINK

    #define NM_SETTING_HSR_INTERLINK        "interlink"

### enum NMSettingHsrProtocolVersion

NMSettingHsrProtocolVersion values indicate the HSR protocol version.

#### Members

NM_SETTING_HSR_PROTOCOL_VERSION_DEFAULT | Default version for the protocol |
NM_SETTING_HSR_PROTOCOL_VERSION_HSR_2010 | HSRv0, IEC 62439-3:2010 |
NM_SETTING_HSR_PROTOCOL_VERSION_HSR_2012 | HSRv1, IEC 62439-3:2012 |

Since: 1.56